The [**Blazor Scheduler**](https://www.syncfusion.com/blazor-components/blazor-scheduler?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget) component is an event calendar which facilitates users with the common Outlook-calendar features, thus allowing them to plan and manage their events/appointments and its time in an efficient way.

## Key Features

* **Views** - Scheduler is now available with 12 different view modes – day, week, work week, month, year, timeline day, timeline week, timeline work week, timeline month, timeline year, agenda and month agenda. It is possible to configure view-based settings on each view mode. The `Week` view is set as active view by default.
* **Data binding** - Seamless data binding with various client-
side and remote data sources thus allowing the data to load on demand by default to reduce the data transfer and loading time.
* **Recurrence options** - Allows the user to repeat a set of events on a daily, weekly, monthly, or yearly basis.
* **Drag and Drop** - Events can be easily rescheduled by simply dragging and dropping them onto a new desired location.
* **Resizing** - Allows to change the event timing by resizing them to the desired time interval using its handlers.
* **Adaptive rendering** - Adapts with optimal user interface on mobile and desktop,
thus helping the user's application to scale elegantly across all the form-factors without any additional effort.
* [**Multiple resources**](https://www.syncfusion.com/blazor-components/blazor-scheduler/multiple-resources?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget) - Allows the Scheduler to be shared by multiple resources and the events of each resource are displayed relevantly either in expandable groups (Timeline views) or
vertical hierarchy one after the other (Calendar views).
* **Virtual scrolling** - Allows to load a large set of resources and events on Scheduler instantly as you scroll, to experience better performance.
* **Block time intervals** - The specific range of date and time on Scheduler can be blocked, thus preventing it from user interactions.
* **Template** - The key elements like events, date header, resource header, time cells,
work cells and event tooltip comes with the default template support which allows the flexible end-user customization to embed any kind of text,
images, or styles to it.
* **Customizable working days and hours** - Users can set specific work hour range which is visually differentiated with active colour.
Also, the working days collection can be customized with specific days, so that the remaining days will be considered as weekend. There is also an option to set different working hours for each resource.
* **Export/Import** - Supports exporting and importing of appointment(s) to and from an ICS file and also appointment(s) data can be exported as excel file format.
* **Localization** - All the static text and date content on Scheduler can be localized to any desired language.
Also, it can be displayed with appropriate time mode and date-format as per the locale culture.
* **Keyboard interaction** - All the common actions such as traversing through the events, multiple cell selection,
add/edit/delete the appointments, navigate to other views or dates and much more can be performed through keyboard inputs.
* **RTL** - Supports to display the Scheduler component in the direction from right to left.

## Related links

[Learn More about Blazor Scheduler component](https://www.syncfusion.com/blazor-components/blazor-scheduler?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget)

[Documentation](https://blazor.syncfusion.com/documentation/scheduler/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget)

[Release History](https://blazor.syncfusion.com/documentation/release-notes/index/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget)

[Online Demos](https://blazor.syncfusion.com/demos/scheduler/overview?theme=bootstrap4?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget)

[Pricing](https://www.syncfusion.com/sales/products/blazor?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget)

## About Syncfusion

Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 23,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ controls and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget)), and desktop development ([Windows Forms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), [WinUI(Preview)](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.


This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Blazor%20Schedule%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=blazor-scheduler-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.